
%define plugin	sc
%define name	vdr-plugin-%plugin
%define version	0.5.11
%define rel	2
%define dkmsname dvb-ttpci-sc_patched
%define distsuffix plf

Summary:	VDR plugin: A software emulated CAM
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://207.44.152.197/
Source:		http://207.44.152.197/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-sc-0.5.9-exthooks.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel
BuildRequires:	openssl-devel
Requires:	vdr-abi = %vdr_abi

%description
This VDR plugin provides a software emulated CAM. Software
decryption with ffdecsa for budget cards is also available. With
this plugin you can, for example, use your pay-tv subscription with
a smart card reader/programmer without expensive CI and CAM devices.

If you use this plugin with an FF card, you also need the packages
dkms-%dkmsname and dvb-firmware-ttpci-sc_patched.

This package is in PLF because it contains algorithms covered by
software patents.

%package -n	dkms-%dkmsname
Summary:	DVB FF card driver patched to support vdr-sc
Group:		Video
Requires:	dkms
Requires:	dvb-firmware-ttpci-sc_patched

%description -n	dkms-%dkmsname
The dvb-ttpci module which is patched to support vdr-sc. You need
this package if you use VDR sc plugin with an FF card.

Note that this dkms package does not work with
kernel-source-stripped packages.

This package is in PLF because it is useless without the
vdr-plugin-sc package.

%prep
%setup -q -n %plugin-%version
%patch0 -p1

cat > patched_dvb-ttpci.sh <<EOF
#!/bin/sh -ex
KERNELDIR="\$1"
mkdir ttpci
cp \$KERNELDIR/drivers/media/dvb/ttpci/{*.[ch],Makefile} ttpci
patch -p4 -i dvb-cwidx.diff
make -C \$KERNELDIR M=\$(pwd)/ttpci modules
EOF

mkdir ffdecsa
cd ffdecsa
patch -tp1 -i ../patches/vdr-1.4.0-ffdecsa-0.1.3.diff || true;
cd ..
ln -s ffdecsa/FFdecsa ffdecsa/csa.[ch] .
ln -s %{_includedir}/vdr/tools.h .

%vdr_plugin_params_begin %plugin
# use inverse CD detection for the serial device
var=INVERSE_CD
param=-I
# use inverse RESET for the serial device
var=INVERSE_RST
param=-R
# use CLOCK_FREQ as clock for the card reader instead of 3.5712 MHz
var=CLOCK_FREQ
param=--clock=CLOCK_FREQ
# activate Phoenix ISO interface on serial device SERIAL_DEV
var=SERIAL_DEV
param=--serial=SERIAL_DEV
# call CMD to start/stop dialup-network
var=DIALUP_CMD
param=--dialup=DIALUP_CMD
# shutdown timeout for dialup-network
var=TIMEOUT_SECS
param=--timetout=TIMEOUT_SECS
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install
install -m755 systems/*/libsc-*.so.%vdr_apiversion %{buildroot}%{_vdr_plugin_dir}

install -d -m755 %{buildroot}/usr/src/%dkmsname-%{version}-%{release}
install -m755 patched_dvb-ttpci.sh %{buildroot}/usr/src/%dkmsname-%{version}-%{release}
install -m644 patches/dvb-cwidx.diff %{buildroot}/usr/src/%dkmsname-%{version}-%{release}

cat > %{buildroot}/usr/src/%dkmsname-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%dkmsname"
PACKAGE_VERSION="%{version}-%{release}"
MAKE[0]="./patched_dvb-ttpci.sh \$kernel_source_dir"
CLEAN="rm -rf ttpci"
AUTOINSTALL=yes
BUILT_MODULE_NAME[0]="dvb-ttpci"
BUILT_MODULE_LOCATION[0]="ttpci"
DEST_MODULE_LOCATION[0]="/kernel/drivers/media/dvb/ttpci"
EOF

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%post -n dkms-%{dkmsname}
dkms add     -m %{dkmsname} -v %{version}-%{release} --rpm_safe_upgrade
dkms build   -m %{dkmsname} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{dkmsname} -v %{version}-%{release} --rpm_safe_upgrade

%preun -n dkms-%{dkmsname}
dkms remove  -m %{dkmsname} -v %{version}-%{release} --rpm_safe_upgrade --all

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY ffdecsa/README.*
%{_vdr_plugin_dir}/libsc-*.so.%vdr_apiversion

%files -n dkms-%dkmsname
%defattr(-,root,root)
/usr/src/%dkmsname-%{version}-%{release}

%changelog
* Sun Dec 10 2006 Anssi Hannula <anssi@zarb.org> 0.5.11-2plf2007.0
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.5.11-1plf2007.0
- 0.5.11

* Tue Sep 03 2006 Anssi Hannula <anssi@mandriva.org> 0.5.10-1plf2007.0
- initial PLF release
